<%@page language="java"
        contentType="text/html;charset=gb2312"
  import="java.util.*"
%>
<HTML>
<HEAD>
<TITLE> request.getAttributeName()</TITLE>
</HEAD>
<BODY>
<jsp:include page="names.jsp" flush="true"/>
<%
 Enumeration e=request.getAttributeNames();
 while(e.hasMoreElements()){
 String attributeName=(String)e.nextElement();
 String attributeValue=(String)request.getAttribute(attributeName);
out.print("变量名称为"+attributeName+"的值为：");
out.print(attributeValue+"<BR>");
 }
%>
</FORM>
</FORM>
</BODY>
</HTML>
